package jcg.zheng.demo.scheduler.quartz;

import org.quartz.Job;
import org.quartz.JobExecutionContext;
import org.quartz.JobExecutionException;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

import jcg.zheng.demo.scheduler.spring.service.BusinessTask;

public class QuartzJob implements Job {
	Logger logger = LoggerFactory.getLogger(QuartzJob.class);

	private BusinessTask service = new BusinessTask();

	@Override
	public void execute(JobExecutionContext context) throws JobExecutionException {
		logger.info(" started ");

		service.doit();

		logger.info(" completed.");
	}

}
