package jcg.zheng.demo.scheduler.quartz;

import org.quartz.Job;
import org.quartz.JobExecutionContext;
import org.quartz.JobExecutionException;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

import jcg.zheng.demo.scheduler.spring.service.BusinessTask;

public class QuartzJob_HandleException implements Job {
	Logger logger = LoggerFactory.getLogger(QuartzJob_HandleException.class);

	private BusinessTask service = new BusinessTask();

	@Override
	public void execute(JobExecutionContext context) throws JobExecutionException {
		logger.info(" started ");
		boolean isCompleted = false;
		try {
			service.doit();
			isCompleted = true;
		} catch (Exception e) {
			logger.error("Failed. due to " + e.getMessage());
		} finally {
			logger.info(" completed with status=" + isCompleted);
		}
	}
}
