package jcg.zheng.demo.scheduler.spring.scheduler;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.stereotype.Component;

import jcg.zheng.demo.scheduler.spring.service.BusinessTask;

@Component
public class CronScheduler {

	@Autowired
	private BusinessTask service;

	Logger logger = LoggerFactory.getLogger(CronScheduler.class);

	@Scheduled(cron = "${scheduler.cron.expression}")
	public void schedulesTask() {
		logger.info(" started.");

		service.doit();
		logger.info(" completed.");
	}

}
